# Quick setup

## Quick Setup

1. Include our script within your websites page:

   ```markup
   <script type="text/javascript" src="https://players.yumpu.com/hub.js"></script>
   ```
2. Provide a container you want the frontend to be placed in, give it an "id" and set the dimension. E.g.

   ```markup
   <div id="magazineContainer" style="width:620px; height:400px;"></div>
   ```
3. Create the Yumpu object in a script tag:

   ```javascript
   var myYumpu = new Yumpu();
   ```
4. Create a magazine with:

   ```javascript
   myYumpu.create_player("#magazineContainer", "17403069");
   ```
5. Create a bookshelf with:

   ```javascript
   var collectionID = "MjG471mbwPubqNLR";
   myYumpu.create_bookshelf("magazineContainer", collectionID, "myYumpuUsername" );
   ```

## Wait! What parameters are you using?

With **magazines**, the parameters are:

1. The "id" property of the HTML container where you want the magazine to be placed in. You can use a 's "id" with a leading "#", or you can also use "body" to use the whole page.
2. The magazines id, which you can easily get from the magazines page, e.g. <http://www.yumpu.com/en/document/view/17403069/faceon-online-magazin-yumpu> -> it's ***"17403069"***
3. (optional) Parameters: You can add quite a lot of custom parameters to change certain functionality, switch on/off elements, and so on. Pass them as an object, e.g. ***{ fallback\_order:"hornet,"html5","js", startpage:7, hideOuterShadows:"0", ... }*** You'll see more infos below.

With **bookshelfs**, the parameters are:

1. The "id" property of the HTML container where you want the magazine to be placed in. You can use a 's "id" with a leading "#", or you can also use "body" to use the whole page.
2. The collection id, which you get, not quite so easily yet - we have to admit, from the magazines edit page, where you create your collection. Click on **EDIT** at he right and choose **View JSON**. On top of the popup you'll get a link like <http://www.yumpu.com/en/collections/json/pHTQHdSYJggwsIoN> ... in that example, the collection id is ***"pHTQHdSYJggwsIoN "***
3. (optional) Parameters: You can add some additional parameters to customize your bookshelf. You'll see more infos below.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.yumpu.com/js/quicksetup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
